%ifarch %{arm} aarch64
%define build_docs     0
%else
%define build_docs     1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 2

%define rel 1

%define qtversion         %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtpurchasing   %mklibname qt5purchasing %{qtmajor}
%define libqtpurchasing_d %mklibname qt5purchasing -d

%define qttarballdir      qtpurchasing-everywhere-src-%{qtversion}

Name:           qtpurchasing5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Purchasing component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Concurrent) >= %{version}
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

%description
Qt%{qtmajor} Purchasing component.

%files
%{_qt5_qml}/QtPurchasing/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtPurchasing%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtPurchasing%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtpurchasing.qch
%{_qt5_docdir}/qtpurchasing/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtpurchasing}
Summary:        Qt%{qtmajor} Purchasing Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtpurchasing}
Qt%{qtmajor} Purchasing Component Library.

%files -n %{libqtpurchasing}
%{_qt5_libdir}/libQt5Purchasing.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpurchasing_d}
Summary:        Devel files needed to build apps based on QtPurchasing
Group:          Development/KDE and Qt
Requires:       %{libqtpurchasing} = %{version}
Provides:       libqtpurchasing5-devel = %{version}
Provides:       libqt5purchasing-devel = %{version}
Provides:       qtpurchasing5-devel = %{version}
Provides:       qt5purchasing-devel = %{version}

%description -n %{libqtpurchasing_d}
Devel files needed to build apps based on Qt Purchasing.

%files -n %{libqtpurchasing_d}
%{_qt5_includedir}/QtPurchasing/
%{_qt5_libdir}/libQt5Purchasing.so
%{_qt5_libdir}/pkgconfig/Qt5Purchasing.pc
%{_qt5_libdir}/cmake/Qt5Purchasing/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/purchasing/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtpurchasing-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652459
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624911
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589824
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545493
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484400
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438493
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421143
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418155
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384468
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378539
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362284
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339139
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319028
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300717
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245815
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232114
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216508
- New version 5.10.1

* Fri Mar 02 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1206104
- New version 5.9.4

* Wed Dec 27 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1185614
- New version 5.9.3

* Wed Aug 09 2017 daviddavid <daviddavid> 5.9.1-1.mga7
+ Revision: 1139437
- initial package qtpurchasing5

